﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Configuration;
using System.Data.Common;

namespace PayBeach
{
    class Program
    {
        static void Main(string[] args)
        {
            // Получение строки подключения и поставщика из App.config
            string dp = ConfigurationManager.AppSettings["provider"];
            string cnStr = ConfigurationManager.AppSettings["conStr"];

            // Получение генератора поставщика df
            DbProviderFactory df = DbProviderFactories.GetFactory(dp);
            // Получение объекта "подключение" (через df)
            using (DbConnection cn = df.CreateConnection())
            {
                Console.WriteLine("Объект подключения: " + cn.GetType().Name);
                cn.ConnectionString = cnStr;
                cn.Open();
                
                // Создание объекта "команда" (через df)
                DbCommand cmd = df.CreateCommand();
                Console.WriteLine("Объект команды: " + cmd.GetType().Name);
                cmd.Connection = cn;
               
                // cmd.CommandText = strSQL + "TableName";
                string strSQL = "Select * From ";
                
                // Вывод списка платежей с помощью объекта "чтение данных" dr
                cmd.CommandText = strSQL + "PaymentList";
                using (DbDataReader dr = cmd.ExecuteReader())
                {
                    Console.WriteLine("Объект чтения данных: " + dr.GetType().Name);
                    Console.WriteLine("\n Список платежей");
                    while (dr.Read())
                        Console.WriteLine("-> ID платежа-{0} " +        //id платежа добавлен для последующей привязки id пользователя к платежу
                            "| Дата-{1} " +
                            "| Категория-{2} " +
                            "| Наименование платежа-{3} " +
                            "| Количество-{4} " +
                            "| Цена-{5} " +
                            "| Сумма-{6}", 
                            dr[0], dr[1], dr[2], dr[3], dr[4], dr[5], dr[6]);
                
                }
                // Вывод списка пользователей
                cmd.CommandText = strSQL + "Users";
                using (DbDataReader dr = cmd.ExecuteReader())
                {
                    Console.WriteLine("\n Пользователи");
                    while (dr.Read())
                        Console.WriteLine("-> ID пользователя-{0} " +
                            "| ФИО пользователя-{1} " +
                            "| Логин-{2} " +
                            "| Пароль-{3} " +
                            "| Пин-код-{4}", 
                            dr[0], dr[1], dr[2], dr[3], dr[4]);              
               
                }

                Console.ReadKey();



            }
        }
    }
}
